/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef NEWHTTPHEADERDIALOG_H
#define NEWHTTPHEADERDIALOG_H

#include <QDialog>

namespace Ui {
class NewHttpHeaderDialog;
}

class NewHttpHeaderDialog : public QDialog
{
    Q_OBJECT

public:
    explicit NewHttpHeaderDialog(QWidget *parent = nullptr);
    ~NewHttpHeaderDialog();

    QString header() const;
    QString value() const;

private:
    Ui::NewHttpHeaderDialog *ui;
};

#endif // NEWHTTPHEADERDIALOG_H
