#include "pluginloader.h"
#include <gtest/gtest.h>

PluginLoader *loader = nullptr;

TEST(PluginLoader, SignatureMatcher) {
    EXPECT_TRUE(loader->verify());
}

int main(int argc, char **argv)
{
    const PluginLoader::SignatureState state(false, true, false);
    loader = new PluginLoader(qgetenv("SIGNEDFILE"), state);

    testing::InitGoogleTest(&argc, argv);
    return RUN_ALL_TESTS();
}
